### Method

# Gsk PathBuilderadd_segment

since: 4.14

#### Declaration [src]

    void
    gsk_path_builder_add_segment (
      GskPathBuilder* self,
      GskPath* path,
      const GskPathPoint* start,
      const GskPathPoint* end
    )

#### Description [src]

Adds to `self` the segment of `path` from `start` to `end`.

If `start` is equal to or after `end`, the path will first add the segment from `start` to the end of the path, and then add the segment from the beginning to `end`. If the path is closed, these segments will be connected.

Note that this method always adds a path with the given start point and end point. To add a closed path, use `gsk_path_builder_add_path()`.

Available since: 4.14

#### Parameters

`path`

  Type: `GskPath`

  The `GskPath` to take the segment to.

  The data is owned by the caller of the method.

`start`

  Type: `GskPathPoint`

  The point on `path` to start at.

  The data is owned by the caller of the method.

`end`

  Type: `GskPathPoint`

  The point on `path` to end at.

  The data is owned by the caller of the method.